{% extends 'base.html.twig' %}

{% block title %}Hello BackendController!
{% endblock %}

{% block body %}
	<div class="container py-5 h-100">
		<div class="row d-flex justify-content-center align-items-center h-100">
			<div class="col col-md-9 col-lg-7 col-xl-5">
				<div class="card" style="border-radius: 15px;">
					<div class="card-body p-4">
						<div class="d-flex text-black">
							<div class="flex-shrink-0">
								<img src="https://ui-avatars.com/api/?name={{ user.username }}&rounded=true" alt="Generic placeholder image" class="img-fluid" style="width: 180px; border-radius: 10px;">
							</div>
							<div class="flex-grow-1 ms-3">
								<h5 class="mb-1">
                                    {{ user.username }}
                                </h5>
								<p class="mb-2 pb-1" style="color: #2b2a2a;"> Admin: {{ is_granted('ROLE_ADMIN') ? "YES" : "NO" }}</p>
								<div class="d-flex justify-content-start rounded-3 p-2 mb-2" style="background-color: #efefef;">
									<div>
										<p class="small text-muted mb-1">Email</p>
										<p class="mb-0">{{ user.email }}</p>
									</div>
								</div>
								<div class="d-flex pt-1">
                                    <a class="btn btn-primary flex-grow-1" href="{{ path('app_logout') }}">Logout</a>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
{% endblock %}
